Package Details: rvgl-bin 23.1030a1-1

Git Clone URL: https://aur.archlinux.org/rvgl-bin.git (read-only, click to copy)
Package Base: rvgl-bin
Description: Rewrite of Re-Volt, popular R/C car racing game from 1999.
Upstream URL: https://rvgl.org
Keywords: game racing
Licenses: custom
Groups: rvgl-basic, rvgl-original, rvgl-online
Submitter: svito
Maintainer: Huki (svito)
Last Packager: Huki
Votes: 12
Popularity: 0.42
First Submitted: 2019-05-04 16:36 (UTC)
Last Updated: 2023-10-30 05:09 (UTC)

Latest Comments

1 2 3 Next › Last »

subuwm commented on 2023-03-05 18:10 (UTC) (edited on 2023-03-05 18:11 (UTC) by subuwm)

Hi, I get the following error when I try to install:

==> Extracting sources...
  -> Creating working copy of rvgl_game_files git repo...
Cloning into 'rvgl_game_files'...
done.
fatal: packed object ae6cf48590914e09ba4f159a0df058161b920f3a (stored in 
/home/subu/.cache/paru/clone/rvgl-bin/rvgl_game_files/objects/pack/pack- 
0099f6c03814e1d828acf47c3fac76e5a5057156.pack) is corrupt
warning: Clone succeeded, but checkout failed.
You can inspect what was checked out with 'git status'
and retry with 'git restore --source=HEAD :/'

==> ERROR: Failure while creating working copy of rvgl_game_files git repo
    Aborting...
error: failed to build 'rvgl-bin-21.0930a-2': 
error: packages failed to build: rvgl-bin-21.0930a-2

I tried clearing the cache but it results in the same error.

Huki commented on 2023-01-16 09:11 (UTC) (edited on 2023-04-08 10:35 (UTC) by Huki)

I just pushed a fix for this issue. libunistring.so.2 is now included in the package itself. I'm afraid we'll have to continue building the game against libunistring.so.2 to keep compatibility with other distros. But this solution should do for now.

EDIT: I've now used the patchelf solution suggested by @Kicer: patchelf --replace-needed "libunistring.so.2" "libunistring.so.5" "rvgl.$_binsuffix"

Kicer commented on 2022-12-03 09:33 (UTC) (edited on 2022-12-03 09:33 (UTC) by Kicer)

@Huki: I'd suggest to include a fix for broken dependency in PKGFILE. I've found an interesting solution:

patchelf --replace-needed libunistring.so.2 libunistring.so ./rvgl

which replaces dependency to libunistring.so.2 with libunistring.so

Antonius commented on 2022-11-21 03:17 (UTC)

The game stopped working for a few weeks, and reinstalling did not fix it. But your command did the trick. Thanks!

christoph.gysin commented on 2022-11-10 07:08 (UTC)

Lates library issue:

$ rvgl 
./rvgl: error while loading shared libraries: libunistring.so.2: cannot open shared object file: No such file or directory

Fixed with:

$ sudo ln -s libunistring.so /usr/lib/libunistring.so.2

zyklopen commented on 2021-10-05 18:28 (UTC)

Very cool, thanks a lot! Runs like a charm on a Pi 400.

Huki commented on 2021-10-04 15:11 (UTC)

These architectures are now supported: i686, x86_64, armv7h and aarch64. Also, fluidsynth support should be working once again.

zyklopen commented on 2021-09-20 19:17 (UTC)

@Huki: Since this is the AUR, I actually had Arch Linux ARM or Manjaro for ARM in mind. :)

Huki commented on 2021-09-20 14:08 (UTC)

@zyklopen: Regarding aarch64, I'll look into this. If it must run on RPi OS, I guess the build should be Debian Buster based.

zyklopen commented on 2021-09-18 11:22 (UTC)

@Huki, first of all: thanks for your efforts in this project. Really cool! Any chance to add binaries for aarch64 / ARMv8a, so that we can enjoy RVGL on our Raspis?